Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class SatelliteScalingGraphMousePlugin

    java.lang.Object
      edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
          edu.uci.ics.jung.visualization.control.ScalingGraphMousePlugin
              edu.uci.ics.jung.visualization.control.SatelliteScalingGraphMousePlugin

All Implemented Interfaces:
  EventListener, GraphMousePlugin, MouseWheelListener

public class SatelliteScalingGraphMousePlugin
extends ScalingGraphMousePlugin

Overrides ScalingGraphMousePlugin so that mouse events in the satellite view will cause scaling in the main view

Author:
  Tom Nelson - RABA Technologies
See Also:
  `ScalingGraphMousePlugin`

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.control.ScalingGraphMousePlugin
`in, out, scaler, zoomAtMouse`

Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`cursor, down, modifiers`

Constructor Summary
`SatelliteScalingGraphMousePlugin(ScalingControl scaler, int modifiers)`
`SatelliteScalingGraphMousePlugin(ScalingControl scaler, int modifiers, float in, float out)`

Method Summary
`void` | `mouseWheelMoved(MouseWheelEvent e)` zoom the master view display in or out, depending on the direction of the mouse wheel motion.

Methods inherited from class edu.uci.ics.jung.visualization.control.ScalingGraphMousePlugin
`checkModifiers, getIn, getOut, getScaler, setIn, setOut, setScaler, setZoomAtMouse`

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`getCursor, getModifiers, setCursor, setModifiers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SatelliteScalingGraphMousePlugin

    public SatelliteScalingGraphMousePlugin(ScalingControl scaler,
                                            int modifiers)

### SatelliteScalingGraphMousePlugin

    public SatelliteScalingGraphMousePlugin(ScalingControl scaler,
                                            int modifiers,
                                            float in,
                                            float out)

Method Detail

### mouseWheelMoved

    public void mouseWheelMoved(MouseWheelEvent e)

  zoom the master view display in or out, depending on the direction of the mouse wheel motion.

  Specified by:
    `mouseWheelMoved` in interface `MouseWheelListener`
  Overrides:
    `mouseWheelMoved` in class `ScalingGraphMousePlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD